Summary: CD image format conversion from bin/cue to iso/cdr
Name:    bchunk
Version: 1.2.0
%define subrel 1
Release: %mkrel 14
Group:   Archiving/Cd burning
License: GPLv2
Url:     http://hes.iki.fi/bchunk
Source:  http://he.fi/bchunk/%{name}-%{version}.tar.gz
Patch0:  bchunk-1.2.0-CVE-2017-15953.patch
Patch1:  bchunk-1.2.0-CVE-2017-15955.patch

%description
This is a Unix/C rewrite of the fine BinChunker software for
some non-Unix system. The non-Unix version of BinChunker
can be found at http://home.ptd.net/~redline/binchunker.html .
Thanks go to Bob Marietta <marietrg@SLU.EDU>, the author of
BinChunker, for the extensive help, documentation and letting me
look at his Pascal/Delphi source code!

binchunker converts a CD image in a ".bin / .cue" format
(sometimes ".raw / .cue") to a set of .iso and .cdr tracks.

The bin/cue format is used by some non-Unix cd-writing
software, but is not supported on most other cd-writing
programs.

The .iso track contains an ISO file system, which can be
mounted through a loop device on Linux systems, or
written on a CD-R using cdrecord.

The .cdr tracks are in the native CD audio format. They can
be either written on a CD-R using cdrecord -audio, or converted
to WAV (or any other sound format for that matter) using
sox.

%prep

%setup -q
%autopatch -p1

%build
%make

%install
install -m 755 -d  %{buildroot}%{_bindir}
install -m 755 bchunk %{buildroot}%{_bindir}
install -d  %{buildroot}%{_mandir}/man1
install -m 644 bchunk.1 %{buildroot}%{_mandir}/man1

%files
%doc COPYING README bchunk-%{version}.lsm
%{_bindir}/*
%{_mandir}/man1/*.*


%changelog
* Tue Nov 14 2017 ns80 <ns80> 1.2.0-14.1.mga6
+ Revision: 1177304
- add patches for CVE-2017-1595[3-5] (mga#22004)

* Mon Feb 08 2016 umeabot <umeabot> 1.2.0-14.mga6
+ Revision: 947163
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-13.mga5
+ Revision: 743653
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.0-12.mga5
+ Revision: 678130
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2.0-11.mga4
+ Revision: 503047
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.2.0-10.mga3
+ Revision: 346883
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + malo <malo>
    - update RPM group

* Sat Jun 09 2012 malo <malo> 1.2.0-8.mga3
+ Revision: 258955
- adding missing man page

* Mon Feb 06 2012 malo <malo> 1.2.0-7.mga2
+ Revision: 205277
- spec clean-up after import from Mandriva
- update source url
- imported package bchunk


* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-7mdv2011.0
+ Revision: 616744
- the mass rebuild of 2010.0 packages

* Tue Sep 01 2009 Thierry Vignaud <tv@mandriva.org> 1.2.0-6mdv2010.0
+ Revision: 424024
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.2.0-5mdv2009.0
+ Revision: 243207
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 1.2.0-3mdv2008.1
+ Revision: 135828
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - import bchunk


* Tue Aug 01 2006 Lenny Cartier <lenny@mandriva.com> 1.2.0-3mdv2007.0
- rebuild

* Wed Jul 06 2005 Lenny Cartier <lenny@mandriva.com> 1.2.0-2mdk
- rebuild

* Wed Jun 30 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.2.0-1mdk
- 1.2.0

* Fri Feb 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.1.1-4mdk
- rebuild

* Fri Jan 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.1.1-3mdk
- rebuild

* Thu Aug 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.1-2mdk
- rebuild

* Sat Aug 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.1-1mdk
- updated to  1.1.1

* Wed Jun 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-5mdk
- rebuild

* Fri Jan 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-4mdk 
- rebuild

* Fri Jul 28 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.0-3mdk
- BM

* Tue Apr 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-2mdk
- fix group


* Mon Feb 07 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build

* Thu Nov  5 1998 Fryguy_ <fryguy@falsehope.com>
  [bchunk-1.0.0-1]
- Initial Release    
